KMDR-EXECUTOR(1)

NAME
kmdr-executor - executor for the Kommander visual dialog building tool

SYNOPSIS
kmdr-executor [ generic-options ] [ -c catalog ] { --stdin | file } [ arg ... ]

DESCRIPTION
Kommander is a visual dialog building tool whose primary objective is to create as much functionality as possible without using any scripting language.

More specifically, Kommander is a set of tools that allow you to create dynamic GUI dialogs that generate, based on their state, a piece of text. The piece of text can be a command line to a program, any piece of code, business documents that contain a lot of repititious or templated text and so on. The resulting generated text can then be executed as a command line program (hence the name "Kommander"), written to a file, passed to a script for extended processing, and literally anything else you can think of. The best part of it all? You aren't required to write a single line of code!

This executor (kmdr-executor) is used to run a dialog that has been created by the dialog editor (kmdr-editor). Either the dialog file (generally a .kmdr file) should be passed on the command-line, or else the option --stdin should be passed and the dialog description should be supplied as XML on standard input. Additional arguments for the dialog itself may also be supplied.

This application is part of the official TDE web development module.

OPTIONS
Below are the kommander-specific options. For a full summary of options, run kmdr-editor --help.

-c catalog
    Use the given catalog for translation.

--stdin
    Read the XML dialog description from standard input instead of passing a .kmdr file on the command-line.

arg ...
    Additional arguments to be passed on to the dialog itself.

SEE ALSO
extractkmdr(1), kmdr-editor(1), kmdr-plugins(1), kmdr2po(1), quanta(1).

Full user documentation is available through the TDE Help Centre. You can also enter the URL help:/kommander/ directly into konqueror or you can run `khelpcenter help:/kommander/' from the command-line.

If the TDE Help Centre is not installed then you can install the package tdewebdev-doc-html and read this documentation in HTML format from /opt/trinity/share/doc/tde/HTML/en/kommander/.

AUTHOR
Kommander was written by Marc Britton <consume@optusnet.com.au>, Eric Laffoon <sequitur@kde.org>, Michal Rudolf <mrudolf@tdewebdev.org>, Andras Mantia <amantia@kde.org> and Trolltech.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).